/**
 * generated by Xtext 2.19.0.M3
 */
package fr.irisa.cairn.graphviz.model.dotty;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Sub Node</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.irisa.cairn.graphviz.model.dotty.SubNode#getBody <em>Body</em>}</li>
 * </ul>
 *
 * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getSubNode()
 * @model
 * @generated
 */
public interface SubNode extends Node
{
  /**
   * Returns the value of the '<em><b>Body</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Body</em>' containment reference.
   * @see #setBody(Compound)
   * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getSubNode_Body()
   * @model containment="true"
   * @generated
   */
  Compound getBody();

  /**
   * Sets the value of the '{@link fr.irisa.cairn.graphviz.model.dotty.SubNode#getBody <em>Body</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Body</em>' containment reference.
   * @see #getBody()
   * @generated
   */
  void setBody(Compound value);

} // SubNode
